Scala Standard Library2.13.5 < Back


# Packages

-  package root

  This is the documentation for the Scala standard library.

  This is the documentation for the Scala standard library.

  #### Package structure

  The scala package contains core types like `Int`, `Float`, `Array` or `Option` which are accessible in all Scala compilation units without explicit qualification or imports.

  Notable packages include:

  - `scala.collection` and its sub-packages contain Scala's collections framework
    - `scala.collection.immutable` - Immutable, sequential data-structures such as `Vector`, `List`, `Range`, `HashMap` or `HashSet`
    - `scala.collection.mutable` - Mutable, sequential data-structures such as `ArrayBuffer`, `StringBuilder`, `HashMap` or `HashSet`
    - `scala.collection.concurrent` - Mutable, concurrent data-structures such as `TrieMap`
  - `scala.concurrent` - Primitives for concurrent programming such as `Futures` and `Promises`
  - `scala.io` - Input and output operations
  - `scala.math` - Basic math functions and additional numeric types like `BigInt` and `BigDecimal`
  - `scala.sys` - Interaction with other processes and the operating system
  - `scala.util.matching` - Regular expressions

  Other packages exist. See the complete list on the right.

  Additional parts of the standard library are shipped as separate libraries. These include:

  - `scala.reflect` - Scala's reflection API (scala-reflect.jar)
  - `scala.xml` - XML parsing, manipulation, and serialization (scala-xml.jar)
  - `scala.collection.parallel` - Parallel collections (scala-parallel-collections.jar)
  - `scala.util.parsing` - Parser combinators (scala-parser-combinators.jar)
  - `scala.swing` - A convenient wrapper around Java's GUI framework called Swing (scala-swing.jar)

  #### Automatic imports

  Identifiers in the scala package and the `scala.Predef` object are always in scope by default.

  Some of these identifiers are type aliases provided as shortcuts to commonly used classes. For example, `List` is an alias for `scala.collection.immutable.List`.

  Other aliases refer to classes provided by the underlying platform. For example, on the JVM, `String` is an alias for `java.lang.String`.

  Definition Classes
    root
-  package scala

  Core Scala types.

  Core Scala types. They are always available without an explicit import.

  Definition Classes
    root
-  package collection
  Definition Classes
    scala
-  package mutable
  Definition Classes
    collection
- AbstractBuffer
- AbstractIterable
- AbstractMap
- AbstractSeq
- AbstractSet
- AnyRefMap
- ArrayBuffer
- ArrayBufferView
- ArrayBuilder
- ArrayDeque
- ArrayDequeOps
- ArraySeq
- BitSet
- Buffer
- Builder
- Clearable
- Cloneable
- CollisionProofHashMap
- Growable
- GrowableBuilder
- HashMap
- HashSet
- ImmutableBuilder
- IndexedBuffer
- IndexedSeq
- IndexedSeqOps
- Iterable
- LinkedHashMap
- LinkedHashSet
- ListBuffer
- ListMap
- LongMap
- Map
- MapOps
- MultiMap
- OpenHashMap
- PriorityQueue
- Queue
- ReusableBuilder
- Seq
- SeqMap
- SeqOps
- Set
- SetOps
- Shrinkable
- SortedMap
- SortedMapOps
- SortedSet
- SortedSetOps
- Stack
- StringBuilder
- TreeMap
- TreeSet
- UnrolledBuffer
- WeakHashMap

t

scala.collection.mutable

# MapOps

###

#### trait MapOps[K, V, +CC[X, Y] <: MapOps[X, Y, CC, _], +C <: MapOps[K, V, CC, C]] extends IterableOps[(K, V), Iterable, C] with collection.MapOps[K, V, CC, C] with Cloneable[C] with Builder[(K, V), C] with Growable[(K, V)] with Shrinkable[K]

Source
  Map.scala

Linear Supertypes
Shrinkable[K], Builder[(K, V), C], Growable[(K, V)], Clearable, Cloneable[C], java.lang.Cloneable, collection.MapOps[K, V, CC, C], PartialFunction[K, V], (K) => V, IterableOps[(K, V), [_]Iterable[_], C], IterableOnceOps[(K, V), [_]Iterable[_], C], IterableOnce[(K, V)], AnyRef, Any
Known Subclasses
Map, TrieMap, AbstractMap, AnyRefMap, CollisionProofHashMap, HashMap, LinkedHashMap, LongMap, Map, WithDefault, SeqMap, SortedMap, WithDefault, SortedMapOps, TreeMap, SystemProperties, ListMap, MultiMap, OpenHashMap
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MapOps
2. Shrinkable
3. Builder
4. Growable
5. Clearable
6. Cloneable
7. Cloneable
8. MapOps
9. PartialFunction
10. Function1
11. IterableOps
12. IterableOnceOps
13. IterableOnce
14. AnyRef
15. Any

Implicitly

1. by UnliftOps
2. by iterableOnceExtensionMethods
3. by any2stringadd
4. by StringFormat
5. by Ensuring
6. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  trait GenKeySet extends AnyRef

   A generic trait that is reused by keyset implementations

   A generic trait that is reused by keyset implementations

   Attributes
     protected
   Definition Classes
     MapOps
2.  class KeySet extends AbstractSet[K] with GenKeySet with DefaultSerializable

   The implementation class of the set returned by `keySet`.

   The implementation class of the set returned by `keySet`.

   Attributes
     protected
   Definition Classes
     MapOps

### Abstract Value Members

1.  abstract def addOne(elem: (K, V)): MapOps.this.type

   Adds a single element to this mutable map.

   Adds a single element to this mutable map.

   elem

     the element to add.

   returns

     the mutable map itself

   Definition Classes
     Growable
2.  abstract def coll: C

   returns

     This collection as a `C`.

   Attributes
     protected
   Definition Classes
     IterableOps
3.  abstract def fromSpecific(coll: IterableOnce[(K, V)]): C

   Defines how to turn a given `Iterable[A]` into a collection of type `C`.

   Defines how to turn a given `Iterable[A]` into a collection of type `C`.

   This process can be done in a strict way or a non-strict way (ie. without evaluating the elements of the resulting collections). In other words, this methods defines the evaluation model of the collection.

   Attributes
     protected
   Definition Classes
     IterableOps
   Note

     When implementing a custom collection type and refining `C` to the new type, this method needs to be overridden (the compiler will issue an error otherwise). In the common case where `C =:= CC[A]`, this can be done by mixing in the scala.collection.IterableFactoryDefaults trait, which implements the method using iterableFactory.

     ,

     As witnessed by the `@uncheckedVariance` annotation, using this method might be unsound. However, as long as it is called with an `Iterable[A]` obtained from `this` collection (as it is the case in the implementations of operations where we use a `View[A]`), it is safe.

4.  abstract def get(key: K): Option[V]

   Optionally returns the value associated with a key.

   Optionally returns the value associated with a key.

   key

     the key value

   returns

     an option value containing the value associated with `key` in this map, or `None` if none exists.

   Definition Classes
     MapOps
5.  abstract def iterableFactory: IterableFactory[[_]Iterable[_]]

   The companion object of this mutable map, providing various factory methods.

   The companion object of this mutable map, providing various factory methods.

   Definition Classes
     IterableOps
   Note

     When implementing a custom collection type and refining `CC` to the new type, this method needs to be overridden to return a factory for the new type (the compiler will issue an error otherwise).

6.  abstract def iterator: Iterator[(K, V)]

   Iterator can be used only once

   Iterator can be used only once

   Definition Classes
     IterableOnce
7.  abstract def mapFactory: MapFactory[CC]

   The companion object of this map, providing various factory methods.

   The companion object of this map, providing various factory methods.

   Definition Classes
     MapOps
   Note

     When implementing a custom collection type and refining `CC` to the new type, this method needs to be overridden to return a factory for the new type (the compiler will issue an error otherwise).

8.  abstract def newSpecificBuilder: Builder[(K, V), C]

   returns

     a strict builder for the same collection type. Note that in the case of lazy collections (e.g. scala.collection.View or scala.collection.immutable.LazyList), it is possible to implement this method but the resulting `Builder` will break laziness. As a consequence, operations should preferably be implemented with `fromSpecific` instead of this method.

   Attributes
     protected
   Definition Classes
     IterableOps
   Note

     When implementing a custom collection type and refining `C` to the new type, this method needs to be overridden (the compiler will issue an error otherwise). In the common case where `C =:= CC[A]`, this can be done by mixing in the scala.collection.IterableFactoryDefaults trait, which implements the method using iterableFactory.

     ,

     As witnessed by the `@uncheckedVariance` annotation, using this method might be unsound. However, as long as the returned builder is only fed with `A` values taken from `this` instance, it is safe.

9.  abstract def subtractOne(elem: K): MapOps.this.type

   Removes a single element from this mutable map.

   Removes a single element from this mutable map.

   elem

     the element to remove.

   returns

     the mutable map itself

   Definition Classes
     Shrinkable
10.  abstract def toIterable: collection.Iterable[(K, V)]

    returns

      This collection as an `Iterable[A]`. No new collection will be built if `this` is already an `Iterable[A]`.

    Definition Classes
      IterableOps

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any
2.  final def ##: Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any
3.  def ++[V2 >: V](xs: IterableOnce[(K, V2)]): CC[K, V2]

   Alias for `concat`

   Alias for `concat`

   Definition Classes
     MapOps
4.  final def ++[B >: (K, V)](suffix: IterableOnce[B]): Iterable[B]

   Alias for `concat`

   Alias for `concat`

   Definition Classes
     IterableOps
   Annotations
     @inline()
5.  final def ++=(xs: IterableOnce[(K, V)]): MapOps.this.type

   Alias for `addAll`

   Alias for `addAll`

   Definition Classes
     Growable
   Annotations
     @inline()
6.  final def +=(elem: (K, V)): MapOps.this.type

   Alias for `addOne`

   Alias for `addOne`

   Definition Classes
     Growable
   Annotations
     @inline()
7.  final def --=(xs: IterableOnce[K]): MapOps.this.type

   Alias for `subtractAll`

   Alias for `subtractAll`

   Definition Classes
     Shrinkable
   Annotations
     @inline()
8.  final def -=(elem: K): MapOps.this.type

   Alias for `subtractOne`

   Alias for `subtractOne`

   Definition Classes
     Shrinkable
   Annotations
     @inline()
9.  def ->[B](y: B): (MapOps[K, V, CC, C], B)
   Implicit
     This member is added by an implicit conversion from MapOps[K, V, CC, C] toArrowAssoc[MapOps[K, V, CC, C]] performed by method ArrowAssoc in scala.Predef.This conversion will take place only if V is a subclass of Option[Nothing] (V <: Option[Nothing]).
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
10.  final def ==(arg0: Any): Boolean

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any
11.  def addAll(xs: IterableOnce[(K, V)]): MapOps.this.type

    Adds all elements produced by an IterableOnce to this mutable map.

    Adds all elements produced by an IterableOnce to this mutable map.

    xs

      the IterableOnce producing the elements to add.

    returns

      the mutable map itself.

    Definition Classes
      Growable
12.  def addString(sb: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this mutable map to a string builder using start, end, and separator strings.

    Appends all elements of this mutable map to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable map are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      MapOps → IterableOnceOps
13.  final def addString(b: StringBuilder): StringBuilder

    Appends all elements of this mutable map to a string builder.

    Appends all elements of this mutable map to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable map without any separator string.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        h: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
    Annotations
      @inline()
14.  final def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this mutable map to a string builder using a separator string.

    Appends all elements of this mutable map to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable map, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
    Annotations
      @inline()
15.  def andThen[C](k: PartialFunction[V, C]): PartialFunction[K, C]

    Composes this partial function with another partial function that gets applied to results of this partial function.

    Composes this partial function with another partial function that gets applied to results of this partial function.

    Note that calling isDefinedAt on the resulting partial function may apply the first partial function and execute its side effect. It is highly recommended to call applyOrElse instead of isDefinedAt / apply for efficiency.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of this partial function narrowed by other partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction
16.  def andThen[C](k: (V) => C): PartialFunction[K, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    If the runtime type of the function is a `PartialFunction` then the other `andThen` method is used (note its cautions).

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of this partial function, possibly narrowed by the specified function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1
17.  def apply(key: K): V

    Retrieves the value which is associated with the given key.

    Retrieves the value which is associated with the given key. This method invokes the `default` method of the map if there is no mapping from the given key to a value. Unless overridden, the `default` method throws a `NoSuchElementException`.

    key

      the key

    returns

      the value associated with the given key, or the result of the map's `default` method, if none exists.

    Definition Classes
      MapOps → Function1
    Annotations
      @throws(cause = scala.this.throws.<init>$default$1[NoSuchElementException])
18.  def applyOrElse[K1 <: K, V1 >: V](x: K1, default: (K1) => V1): V1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals the compiler generates an `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      MapOps → PartialFunction
19.  final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

20.  def clear(): Unit

    Clears the contents of this builder.

    Clears the contents of this builder. After execution of this method the builder will contain no elements.

    Definition Classes
      MapOps → Builder → Clearable
21.  def clone(): C

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      MapOps → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

22.  def collect[K2, V2](pf: PartialFunction[(K, V), (K2, V2)]): CC[K2, V2]

    Builds a new collection by applying a partial function to all elements of this mutable map on which the function is defined.

    Builds a new collection by applying a partial function to all elements of this mutable map on which the function is defined.

    K2

      the key type of the returned mutable map.

    V2

      the value type of the returned mutable map.

    pf

      the partial function which filters and maps the mutable map.

    returns

      a new mutable map resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      MapOps
23.  def collect[B](pf: PartialFunction[(K, V), B]): Iterable[B]

    Builds a new mutable map by applying a partial function to all elements of this mutable map on which the function is defined.

    Builds a new mutable map by applying a partial function to all elements of this mutable map on which the function is defined.

    B

      the element type of the returned mutable map.

    pf

      the partial function which filters and maps the mutable map.

    returns

      a new mutable map resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      IterableOps → IterableOnceOps
24.  def collectFirst[B](pf: PartialFunction[(K, V), B]): Option[B]

    Finds the first element of the mutable map for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the mutable map for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      IterableOnceOps
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

25.  def compose[R](k: PartialFunction[R, K]): PartialFunction[R, V]

    Composes another partial function `k` with this partial function so that this partial function gets applied to results of `k`.

    Composes another partial function `k` with this partial function so that this partial function gets applied to results of `k`.

    Note that calling isDefinedAt on the resulting partial function may apply the first partial function and execute its side effect. It is highly recommended to call applyOrElse instead of isDefinedAt / apply for efficiency.

    R

      the parameter type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of other partial function narrowed by this partial function, which maps arguments `x` to `this(k(x))`.

    Definition Classes
      PartialFunction
26.  def compose[A](g: (A) => K): (A) => V

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()
27.  def concat[V2 >: V](suffix: IterableOnce[(K, V2)]): CC[K, V2]

    Returns a new mutable map containing the elements from the left hand operand followed by the elements from the right hand operand.

    Returns a new mutable map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable map is the most specific superclass encompassing the element types of the two operands.

    suffix

      the traversable to append.

    returns

      a new mutable map which contains all elements of this mutable map followed by all elements of `suffix`.

    Definition Classes
      MapOps
28.  def concat[B >: (K, V)](suffix: IterableOnce[B]): Iterable[B]

    Returns a new mutable map containing the elements from the left hand operand followed by the elements from the right hand operand.

    Returns a new mutable map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable map is the most specific superclass encompassing the element types of the two operands.

    B

      the element type of the returned collection.

    suffix

      the traversable to append.

    returns

      a new mutable map which contains all elements of this mutable map followed by all elements of `suffix`.

    Definition Classes
      IterableOps
29.  def contains(key: K): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      MapOps
30.  def copyToArray[B >: (K, V)](xs: Array[B], start: Int, len: Int): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with at most `len` elements of this mutable map.

    Copying will stop once either all the elements of this mutable map have been copied, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index of xs.

    len

      the maximal number of elements to copy.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

31.  def copyToArray[B >: (K, V)](xs: Array[B], start: Int): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with values of this mutable map.

    Copying will stop once either all the elements of this mutable map have been copied, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index of xs.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecatedOverriding(message = "This should always forward to the 3-arg version of this method", since = "2.13.4")
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

32.  def copyToArray[B >: (K, V)](xs: Array[B]): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with values of this mutable map.

    Copying will stop once either all the elements of this mutable map have been copied, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecatedOverriding(message = "This should always forward to the 3-arg version of this method", since = "2.13.4")
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

33.  def corresponds[B](that: IterableOnce[B])(p: ((K, V), B) => Boolean): Boolean

    Tests whether every element of this collection's iterator relates to the corresponding element of another collection by satisfying a test predicate.

    Tests whether every element of this collection's iterator relates to the corresponding element of another collection by satisfying a test predicate.

    Note: will not terminate for infinite-sized collections.

    B

      the type of the elements of `that`

    that

      the other collection

    p

      the test predicate, which relates elements from both collections

    returns

      `true` if both collections have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this iterator and `y` of `that`, otherwise `false`

    Definition Classes
      IterableOnceOps
34.  def count(p: ((K, V)) => Boolean): Int

    Counts the number of elements in the mutable map which satisfy a predicate.

    Counts the number of elements in the mutable map which satisfy a predicate.

    Note: will not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      IterableOnceOps
35.  def default(key: K): V

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    key

      the given key value for which a binding is missing.

    Definition Classes
      MapOps
    Annotations
      @throws(cause = scala.this.throws.<init>$default$1[NoSuchElementException])
    Exceptions thrown
36.  def drop(n: Int): C

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this mutable map.

    returns

      a mutable map consisting of all elements of this mutable map except the first `n` ones, or else the empty mutable map, if this mutable map has less than `n` elements. If `n` is negative, don't drop any elements.

    Definition Classes
      IterableOps → IterableOnceOps
37.  def dropRight(n: Int): C

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this mutable map.

    returns

      a mutable map consisting of all elements of this mutable map except the last `n` ones, or else the empty mutable map, if this mutable map has less than `n` elements. If `n` is negative, don't drop any elements.

    Definition Classes
      IterableOps
38.  def dropWhile(p: ((K, V)) => Boolean): C

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this mutable map whose first element does not satisfy the predicate `p`.

    Definition Classes
      IterableOps → IterableOnceOps
39.  def elementWise: ElementWiseExtractor[K, V]

    Returns an extractor object with a `unapplySeq` method, which extracts each element of a sequence data.

    Returns an extractor object with a `unapplySeq` method, which extracts each element of a sequence data.

    Definition Classes
      PartialFunction
    Example:

    1.     val firstChar: String => Option[Char] = _.headOption

           Seq("foo", "bar", "baz") match {
             case firstChar.unlift.elementWise(c0, c1, c2) =>
               println(s"$c0, $c1, $c2") // Output: f, b, b
           }

40.  def empty: C

    The empty iterable of the same type as this iterable

    The empty iterable of the same type as this iterable

    returns

      an empty iterable of type `C`.

    Definition Classes
      IterableOps
41.  def ensuring(cond: (MapOps[K, V, CC, C]) => Boolean, msg: => Any): MapOps[K, V, CC, C]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toEnsuring[MapOps[K, V, CC, C]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
42.  def ensuring(cond: (MapOps[K, V, CC, C]) => Boolean): MapOps[K, V, CC, C]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toEnsuring[MapOps[K, V, CC, C]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
43.  def ensuring(cond: Boolean, msg: => Any): MapOps[K, V, CC, C]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toEnsuring[MapOps[K, V, CC, C]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
44.  def ensuring(cond: Boolean): MapOps[K, V, CC, C]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toEnsuring[MapOps[K, V, CC, C]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
45.  final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef
46.  def equals(arg0: AnyRef): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any
47.  def exists(p: ((K, V)) => Boolean): Boolean

    Tests whether a predicate holds for at least one element of this mutable map.

    Tests whether a predicate holds for at least one element of this mutable map.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` is satisfied by at least one element of this mutable map, otherwise `false`

    Definition Classes
      IterableOnceOps
48.  def filter(pred: ((K, V)) => Boolean): C

    Selects all elements of this mutable map which satisfy a predicate.

    Selects all elements of this mutable map which satisfy a predicate.

    returns

      a new iterator consisting of all elements of this mutable map that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      IterableOps → IterableOnceOps
49.  def filterInPlace(p: (K, V) => Boolean): MapOps.this.type

    Retains only those mappings for which the predicate `p` returns `true`.

    Retains only those mappings for which the predicate `p` returns `true`.

    p

      The test predicate

50.  def filterNot(pred: ((K, V)) => Boolean): C

    Selects all elements of this mutable map which do not satisfy a predicate.

    Selects all elements of this mutable map which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new mutable map consisting of all elements of this mutable map that do not satisfy the given predicate `pred`. Their order may not be preserved.

    Definition Classes
      IterableOps → IterableOnceOps
51.  def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
    Note

      not specified by SLS as a member of AnyRef

52.  def find(p: ((K, V)) => Boolean): Option[(K, V)]

    Finds the first element of the mutable map satisfying a predicate, if any.

    Finds the first element of the mutable map satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the mutable map that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableOnceOps
53.  def flatMap[K2, V2](f: ((K, V)) => IterableOnce[(K2, V2)]): CC[K2, V2]

    Builds a new map by applying a function to all elements of this mutable map and using the elements of the resulting collections.

    Builds a new map by applying a function to all elements of this mutable map and using the elements of the resulting collections.

    f

      the function to apply to each element.

    returns

      a new mutable map resulting from applying the given collection-valued function `f` to each element of this mutable map and concatenating the results.

    Definition Classes
      MapOps
54.  def flatMap[B](f: ((K, V)) => IterableOnce[B]): Iterable[B]

    Builds a new mutable map by applying a function to all elements of this mutable map and using the elements of the resulting collections.

    Builds a new mutable map by applying a function to all elements of this mutable map and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of mutable map. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap ((word: String) => word.toSeq)

        // xs will be an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable map resulting from applying the given collection-valued function `f` to each element of this mutable map and concatenating the results.

    Definition Classes
      IterableOps → IterableOnceOps
55.  def flatten[B](implicit asIterable: ((K, V)) => IterableOnce[B]): Iterable[B]

    Converts this mutable map of traversable collections into a mutable map formed by the elements of these traversable collections.

    Converts this mutable map of traversable collections into a mutable map formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the type of mutable map. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(1, 2, 3)
                 ).flatten
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(
                   List(1, 2, 3),
                   List(3, 2, 1)
                 ).flatten
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    asIterable

      an implicit conversion which asserts that the element type of this mutable map is a `GenTraversable`.

    returns

      a new mutable map resulting from concatenating all element mutable maps.

    Definition Classes
      IterableOps → IterableOnceOps
56.  def fold[A1 >: (K, V)](z: A1)(op: (A1, A1) => A1): A1

    Folds the elements of this mutable map using the specified associative binary operator.

    Folds the elements of this mutable map using the specified associative binary operator. The default implementation in `IterableOnce` is equivalent to `foldLeft` but may be overridden for more efficient traversal orders.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    Note: will not terminate for infinite-sized collections.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication).

    op

      a binary operator that must be associative.

    returns

      the result of applying the fold operator `op` between all the elements and `z`, or `z` if this mutable map is empty.

    Definition Classes
      IterableOnceOps
57.  def foldLeft[B](z: B)(op: (B, (K, V)) => B): B

    Applies a binary operator to a start value and all elements of this mutable map, going left to right.

    Applies a binary operator to a start value and all elements of this mutable map, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable map, going left to right with the start value `z` on the left: `op(...op(z, x1), x2, ..., xn)` where `x1, ..., xn` are the elements of this mutable map. Returns `z` if this mutable map is empty.

    Definition Classes
      IterableOnceOps
58.  def foldRight[B](z: B)(op: ((K, V), B) => B): B

    Applies a binary operator to all elements of this mutable map and a start value, going right to left.

    Applies a binary operator to all elements of this mutable map and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable map, going right to left with the start value `z` on the right: `op(x1, op(x2, ... op(xn, z)...))` where `x1, ..., xn` are the elements of this mutable map. Returns `z` if this mutable map is empty.

    Definition Classes
      IterableOnceOps
59.  def forall(p: ((K, V)) => Boolean): Boolean

    Tests whether a predicate holds for all elements of this mutable map.

    Tests whether a predicate holds for all elements of this mutable map.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if this mutable map is empty or the given predicate `p` holds for all elements of this mutable map, otherwise `false`.

    Definition Classes
      IterableOnceOps
60.  def foreach[U](f: ((K, V)) => U): Unit

    Apply `f` to each element for its side effects Note: [U] parameter needed to help scalac's type inference.

    Apply `f` to each element for its side effects Note: [U] parameter needed to help scalac's type inference.

    Definition Classes
      IterableOnceOps
61.  def foreachEntry[U](f: (K, V) => U): Unit

    Apply `f` to each key/value pair for its side effects Note: [U] parameter needed to help scalac's type inference.

    Apply `f` to each key/value pair for its side effects Note: [U] parameter needed to help scalac's type inference.

    Definition Classes
      MapOps
62.  def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toStringFormat[MapOps[K, V, CC, C]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
63.  final def getClass(): Class[_ <: AnyRef]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyRef → Any
    Annotations
      @native()
64.  def getOrElse[V1 >: V](key: K, default: => V1): V1

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    V1

      the result type of the default computation.

    key

      the key.

    default

      a computation that yields a default value in case no binding for `key` is found in the map.

    returns

      the value associated with `key` if it exists, otherwise the result of the `default` computation.

    Definition Classes
      MapOps
65.  def getOrElseUpdate(key: K, op: => V): V

    If given key is already in this map, returns associated value.

    If given key is already in this map, returns associated value.

    Otherwise, computes value from given expression `op`, stores with key in map and returns that value.

    Concurrent map implementations may evaluate the expression `op` multiple times, or may evaluate `op` without inserting the result.

    key

      the key to test

    op

      the computation yielding the value to associate with `key`, if `key` is previously unbound.

    returns

      the value associated with key (either previously or as a result of executing the method).

66.  def groupBy[K](f: ((K, V)) => K): immutable.Map[K, C]

    Partitions this mutable map into a map of mutable maps according to some discriminator function.

    Partitions this mutable map into a map of mutable maps according to some discriminator function.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to mutable maps such that the following invariant holds:

          (xs groupBy f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a mutable map of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      IterableOps
67.  def groupMap[K, B](key: ((K, V)) => K)(f: ((K, V)) => B): immutable.Map[K, Iterable[B]]

    Partitions this mutable map into a map of mutable maps according to a discriminator function `key`.

    Partitions this mutable map into a map of mutable maps according to a discriminator function `key`. Each element in a group is transformed into a value of type `B` using the `value` function.

    It is equivalent to `groupBy(key).mapValues(_.map(f))`, but more efficient.

        case class User(name: String, age: Int)

        def namesByAge(users: Seq[User]): Map[Int, Seq[String]] =
          users.groupMap(_.age)(_.name)

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    K

      the type of keys returned by the discriminator function

    B

      the type of values returned by the transformation function

    key

      the discriminator function

    f

      the element transformation function

    Definition Classes
      IterableOps
68.  def groupMapReduce[K, B](key: ((K, V)) => K)(f: ((K, V)) => B)(reduce: (B, B) => B): immutable.Map[K, B]

    Partitions this mutable map into a map according to a discriminator function `key`.

    Partitions this mutable map into a map according to a discriminator function `key`. All the values that have the same discriminator are then transformed by the `f` function and then reduced into a single value with the `reduce` function.

    It is equivalent to `groupBy(key).mapValues(_.map(f).reduce(reduce))`, but more efficient.

        def occurrences[A](as: Seq[A]): Map[A, Int] =
          as.groupMapReduce(identity)(_ => 1)(_ + _)

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    Definition Classes
      IterableOps
69.  def grouped(size: Int): Iterator[C]

    Partitions elements in fixed size mutable maps.

    Partitions elements in fixed size mutable maps.

    size

      the number of elements per group

    returns

      An iterator producing mutable maps of size `size`, except the last will be less than size `size` if the elements don't divide evenly.

    Definition Classes
      IterableOps
    See also

      scala.collection.Iterator, method `grouped`

70.  def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @native()
71.  def head: (K, V)

    Selects the first element of this mutable map.

    Selects the first element of this mutable map.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable map.

    Definition Classes
      IterableOps
    Exceptions thrown

      `NoSuchElementException` if the mutable map is empty.

72.  def headOption: Option[(K, V)]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable map if it is nonempty, `None` if it is empty.

    Definition Classes
      IterableOps
73.  def init: C

    The initial part of the collection without its last element.

    The initial part of the collection without its last element.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    Definition Classes
      IterableOps
74.  def inits: Iterator[C]

    Iterates over the inits of this mutable map.

    Iterates over the inits of this mutable map. The first value will be this mutable map and the final one will be an empty mutable map, with the intervening values the results of successive applications of `init`.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    returns

      an iterator over all the inits of this mutable map

    Definition Classes
      IterableOps
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

75.  def isDefinedAt(key: K): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key. This method, which implements an abstract method of trait `PartialFunction`, is equivalent to `contains`.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      MapOps → PartialFunction
76.  def isEmpty: Boolean

    Tests whether the mutable map is empty.

    Tests whether the mutable map is empty.

    Note: Implementations in subclasses that are not repeatedly traversable must take care not to consume any elements when `isEmpty` is called.

    returns

      `true` if the mutable map contains no elements, `false` otherwise.

    Definition Classes
      IterableOnceOps
77.  final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any
78.  def isTraversableAgain: Boolean

    Tests whether this mutable map can be repeatedly traversed.

    Tests whether this mutable map can be repeatedly traversed. Always true for Iterables and false for Iterators unless overridden.

    returns

      `true` if it is repeatedly traversable, `false` otherwise.

    Definition Classes
      IterableOps → IterableOnceOps
79.  def keySet: collection.Set[K]

    Collects all keys of this map in a set.

    Collects all keys of this map in a set.

    returns

      a set containing all keys of this map.

    Definition Classes
      MapOps
80.  def keyStepper[S <: Stepper[_]](implicit shape: StepperShape[K, S]): S

    Returns a Stepper for the keys of this map.

    Returns a Stepper for the keys of this map. See method stepper.

    Definition Classes
      MapOps
81.  def keys: collection.Iterable[K]

    Collects all keys of this map in an iterable collection.

    Collects all keys of this map in an iterable collection.

    returns

      the keys of this map as an iterable.

    Definition Classes
      MapOps
82.  def keysIterator: Iterator[K]

    Creates an iterator for all keys.

    Creates an iterator for all keys.

    returns

      an iterator over all keys.

    Definition Classes
      MapOps
83.  def knownSize: Int

    returns

      The number of elements in the collection under construction, if it can be cheaply computed, -1 otherwise. The default implementation always returns -1.

    Definition Classes
      MapOps → Growable → IterableOnce
84.  def last: (K, V)

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this mutable map.

    Definition Classes
      IterableOps
    Exceptions thrown

      `NoSuchElementException` If the mutable map is empty.

85.  def lastOption: Option[(K, V)]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this mutable map$ if it is nonempty, `None` if it is empty.

    Definition Classes
      IterableOps
86.  def lift: (K) => Option[V]

    Turns this partial function into a plain function returning an `Option` result.

    Turns this partial function into a plain function returning an `Option` result.

    returns

      a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

    Definition Classes
      PartialFunction
    See also

      Function.unlift

87.  def map[K2, V2](f: ((K, V)) => (K2, V2)): CC[K2, V2]

    Builds a new map by applying a function to all elements of this mutable map.

    Builds a new map by applying a function to all elements of this mutable map.

    f

      the function to apply to each element.

    returns

      a new mutable map resulting from applying the given function `f` to each element of this mutable map and collecting the results.

    Definition Classes
      MapOps
88.  def map[B](f: ((K, V)) => B): Iterable[B]

    Builds a new mutable map by applying a function to all elements of this mutable map.

    Builds a new mutable map by applying a function to all elements of this mutable map.

    B

      the element type of the returned mutable map.

    f

      the function to apply to each element.

    returns

      a new mutable map resulting from applying the given function `f` to each element of this mutable map and collecting the results.

    Definition Classes
      IterableOps → IterableOnceOps
89.  final def mapFromIterable[K2, V2](it: collection.Iterable[(K2, V2)]): CC[K2, V2]

    Similar to `fromIterable`, but returns a Map collection type.

    Similar to `fromIterable`, but returns a Map collection type. Note that the return type is now `CC[K2, V2]`.

    Attributes
      protected
    Definition Classes
      MapOps
    Annotations
      @inline()
90.  def mapResult[NewTo](f: (C) => NewTo): Builder[(K, V), NewTo]

    A builder resulting from this builder my mapping the result using `f`.

    A builder resulting from this builder my mapping the result using `f`.

    Definition Classes
      Builder
91.  def mapValuesInPlace(f: (K, V) => V): MapOps.this.type

    Applies a transformation function to all values contained in this map.

    Applies a transformation function to all values contained in this map. The transformation function produces new values from existing keys associated values.

    f

      the transformation to apply

    returns

      the map itself.

92.  def max[B >: (K, V)](implicit ord: math.Ordering[B]): (K, V)

    Finds the largest element.

    Finds the largest element.

    Note: will not terminate for infinite-sized collections.

    B

      The type over which the ordering is defined.

    ord

      An ordering to be used for comparing elements.

    returns

      the largest element of this mutable map with respect to the ordering `ord`.

    Definition Classes
      IterableOnceOps
    Exceptions thrown

      `UnsupportedOperationException` if this mutable map is empty.

93.  def maxBy[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): (K, V)

    Finds the first element which yields the largest value measured by function f.

    Finds the first element which yields the largest value measured by function f.

    Note: will not terminate for infinite-sized collections.

    B

      The result type of the function f.

    f

      The measuring function.

    cmp

      An ordering to be used for comparing elements.

    returns

      the first element of this mutable map with the largest value measured by function f with respect to the ordering `cmp`.

    Definition Classes
      IterableOnceOps
    Exceptions thrown

      `UnsupportedOperationException` if this mutable map is empty.

94.  def maxByOption[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): Option[(K, V)]

    Finds the first element which yields the largest value measured by function f.

    Finds the first element which yields the largest value measured by function f.

    Note: will not terminate for infinite-sized collections.

    B

      The result type of the function f.

    f

      The measuring function.

    cmp

      An ordering to be used for comparing elements.

    returns

      an option value containing the first element of this mutable map with the largest value measured by function f with respect to the ordering `cmp`.

    Definition Classes
      IterableOnceOps
95.  def maxOption[B >: (K, V)](implicit ord: math.Ordering[B]): Option[(K, V)]

    Finds the largest element.

    Finds the largest element.

    Note: will not terminate for infinite-sized collections.

    B

      The type over which the ordering is defined.

    ord

      An ordering to be used for comparing elements.

    returns

      an option value containing the largest element of this mutable map with respect to the ordering `ord`.

    Definition Classes
      IterableOnceOps
96.  def min[B >: (K, V)](implicit ord: math.Ordering[B]): (K, V)

    Finds the smallest element.

    Finds the smallest element.

    Note: will not terminate for infinite-sized collections.

    B

      The type over which the ordering is defined.

    ord

      An ordering to be used for comparing elements.

    returns

      the smallest element of this mutable map with respect to the ordering `ord`.

    Definition Classes
      IterableOnceOps
    Exceptions thrown

      `UnsupportedOperationException` if this mutable map is empty.

97.  def minBy[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): (K, V)

    Finds the first element which yields the smallest value measured by function f.

    Finds the first element which yields the smallest value measured by function f.

    Note: will not terminate for infinite-sized collections.

    B

      The result type of the function f.

    f

      The measuring function.

    cmp

      An ordering to be used for comparing elements.

    returns

      the first element of this mutable map with the smallest value measured by function f with respect to the ordering `cmp`.

    Definition Classes
      IterableOnceOps
    Exceptions thrown

      `UnsupportedOperationException` if this mutable map is empty.

98.  def minByOption[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): Option[(K, V)]

    Finds the first element which yields the smallest value measured by function f.

    Finds the first element which yields the smallest value measured by function f.

    Note: will not terminate for infinite-sized collections.

    B

      The result type of the function f.

    f

      The measuring function.

    cmp

      An ordering to be used for comparing elements.

    returns

      an option value containing the first element of this mutable map with the smallest value measured by function f with respect to the ordering `cmp`.

    Definition Classes
      IterableOnceOps
99.  def minOption[B >: (K, V)](implicit ord: math.Ordering[B]): Option[(K, V)]

    Finds the smallest element.

    Finds the smallest element.

    Note: will not terminate for infinite-sized collections.

    B

      The type over which the ordering is defined.

    ord

      An ordering to be used for comparing elements.

    returns

      an option value containing the smallest element of this mutable map with respect to the ordering `ord`.

    Definition Classes
      IterableOnceOps
100.  final def mkString: String

     Displays all elements of this mutable map in a string.

     Displays all elements of this mutable map in a string.

     Delegates to addString, which can be overridden.

     returns

       a string representation of this mutable map. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable map follow each other without any separator string.

     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
101.  final def mkString(sep: String): String

     Displays all elements of this mutable map in a string using a separator string.

     Displays all elements of this mutable map in a string using a separator string.

     Delegates to addString, which can be overridden.

     sep

       the separator string.

     returns

       a string representation of this mutable map. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable map are separated by the string `sep`.

     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

102.  final def mkString(start: String, sep: String, end: String): String

     Displays all elements of this mutable map in a string using start, end, and separator strings.

     Displays all elements of this mutable map in a string using start, end, and separator strings.

     Delegates to addString, which can be overridden.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this mutable map. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable map are separated by the string `sep`.

     Definition Classes
       IterableOnceOps
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

103.  final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef
104.  def nonEmpty: Boolean

     Tests whether the mutable map is not empty.

     Tests whether the mutable map is not empty.

     returns

       `true` if the mutable map contains at least one element, `false` otherwise.

     Definition Classes
       IterableOnceOps
     Annotations
       @deprecatedOverriding(message = "nonEmpty is defined as !isEmpty; override isEmpty instead", since = "2.13.0")
105.  final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @native()
     Note

       not specified by SLS as a member of AnyRef

106.  final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @native()
     Note

       not specified by SLS as a member of AnyRef

107.  def orElse[A1 <: K, B1 >: V](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction
108.  def partition(p: ((K, V)) => Boolean): (C, C)

     A pair of, first, all elements that satisfy predicate `p` and, second, all elements that do not.

     A pair of, first, all elements that satisfy predicate `p` and, second, all elements that do not. Interesting because it splits a collection in two.

     The default implementation provided here needs to traverse the collection twice. Strict collections have an overridden version of `partition` in `StrictOptimizedIterableOps`, which requires only a single traversal.

     Definition Classes
       IterableOps
109.  def partitionMap[A1, A2](f: ((K, V)) => Either[A1, A2]): (Iterable[A1], Iterable[A2])

     Applies a function `f` to each element of the mutable map and returns a pair of mutable maps: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Applies a function `f` to each element of the mutable map and returns a pair of mutable maps: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Example:

         val xs = `mutable.Map`(1, "one", 2, "two", 3, "three") partitionMap {
          case i: Int => Left(i)
          case s: String => Right(s)
         }
         // xs == (`mutable.Map`(1, 2, 3),
         //        `mutable.Map`(one, two, three))

     A1

       the element type of the first resulting collection

     A2

       the element type of the second resulting collection

     f

       the 'split function' mapping the elements of this mutable map to an scala.util.Either

     returns

       a pair of mutable maps: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Definition Classes
       IterableOps
110.  def product[B >: (K, V)](implicit num: math.Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this mutable map with respect to the `*` operator in `num`.

     Definition Classes
       IterableOnceOps
111.  def put(key: K, value: V): Option[V]

     Adds a new key/value pair to this map and optionally returns previously bound value.

     Adds a new key/value pair to this map and optionally returns previously bound value. If the map already contains a mapping for the key, it will be overridden by the new value.

     key

       the key to update

     value

       the new value

     returns

       an option value containing the value associated with the key before the `put` operation was executed, or `None` if `key` was not defined in the map before.

112.  def reduce[B >: (K, V)](op: (B, B) => B): B

     Reduces the elements of this mutable map using the specified associative binary operator.

     Reduces the elements of this mutable map using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     B

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the mutable map is nonempty.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this mutable map is empty.

113.  def reduceLeft[B >: (K, V)](op: (B, (K, V)) => B): B

     Applies a binary operator to all elements of this mutable map, going left to right.

     Applies a binary operator to all elements of this mutable map, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable map, going left to right: `op( op( ... op(x1, x2) ..., xn-1), xn)` where `x1, ..., xn` are the elements of this mutable map.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this mutable map is empty.

114.  def reduceLeftOption[B >: (K, V)](op: (B, (K, V)) => B): Option[B]

     Optionally applies a binary operator to all elements of this mutable map, going left to right.

     Optionally applies a binary operator to all elements of this mutable map, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` if this mutable map is nonempty, `None` otherwise.

     Definition Classes
       IterableOnceOps
115.  def reduceOption[B >: (K, V)](op: (B, B) => B): Option[B]

     Reduces the elements of this mutable map, if any, using the specified associative binary operator.

     Reduces the elements of this mutable map, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     B

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       IterableOnceOps
116.  def reduceRight[B >: (K, V)](op: ((K, V), B) => B): B

     Applies a binary operator to all elements of this mutable map, going right to left.

     Applies a binary operator to all elements of this mutable map, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable map, going right to left: `op(x1, op(x2, ..., op(xn-1, xn)...))` where `x1, ..., xn` are the elements of this mutable map.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this mutable map is empty.

117.  def reduceRightOption[B >: (K, V)](op: ((K, V), B) => B): Option[B]

     Optionally applies a binary operator to all elements of this mutable map, going right to left.

     Optionally applies a binary operator to all elements of this mutable map, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` if this mutable map is nonempty, `None` otherwise.

     Definition Classes
       IterableOnceOps
118.  def remove(key: K): Option[V]

     Removes a key from this map, returning the value associated previously with that key as an option.

     Removes a key from this map, returning the value associated previously with that key as an option.

     key

       the key to be removed

     returns

       an option value containing the value associated previously with `key`, or `None` if `key` was not defined in the map before.

119.  def result(): C

     Result collection consisting of all elements appended so far.

     Result collection consisting of all elements appended so far.

     Definition Classes
       MapOps → Builder
120.  def reversed: collection.Iterable[(K, V)]
     Attributes
       protected
     Definition Classes
       IterableOnceOps
121.  def runWith[U](action: (V) => U): (K) => Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     See also

       `applyOrElse`.

122.  def scan[B >: (K, V)](z: B)(op: (B, B) => B): Iterable[B]

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a new mutable map containing the prefix scan of the elements in this mutable map

     Definition Classes
       IterableOps
123.  def scanLeft[B](z: B)(op: (B, (K, V)) => B): Iterable[B]

     Produces a mutable map containing cumulative results of applying the operator going left to right, including the initial value.

     Produces a mutable map containing cumulative results of applying the operator going left to right, including the initial value.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       collection with intermediate results

     Definition Classes
       IterableOps → IterableOnceOps
124.  def scanRight[B](z: B)(op: ((K, V), B) => B): Iterable[B]

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       collection with intermediate results

     Definition Classes
       IterableOps
125.  def size: Int

     The size of this mutable map.

     The size of this mutable map.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this mutable map.

     Definition Classes
       IterableOnceOps
126.  def sizeCompare(that: collection.Iterable[_]): Int

     Compares the size of this mutable map to the size of another `Iterable`.

     Compares the size of this mutable map to the size of another `Iterable`.

     that

       the `Iterable` whose size is compared with this mutable map's size.

     returns

       A value `x` where

           x <  0       if this.size <  that.size
           x == 0       if this.size == that.size
           x >  0       if this.size >  that.size

       The method as implemented here does not call `size` directly; its running time is `O(this.size min that.size)` instead of `O(this.size + that.size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       IterableOps
127.  def sizeCompare(otherSize: Int): Int

     Compares the size of this mutable map to a test value.

     Compares the size of this mutable map to a test value.

     otherSize

       the test value that gets compared with the size.

     returns

       A value `x` where

           x <  0       if this.size <  otherSize
           x == 0       if this.size == otherSize
           x >  0       if this.size >  otherSize

       The method as implemented here does not call `size` directly; its running time is `O(size min otherSize)` instead of `O(size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       IterableOps
     See also

       sizeIs

128.  final def sizeHint(coll: IterableOnce[_], delta: Int = 0): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection has a known size Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder
129.  def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder
130.  final def sizeHintBounded(size: Int, boundingColl: collection.Iterable[_]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder
131.  final def sizeIs: SizeCompareOps

     Returns a value class containing operations for comparing the size of this mutable map to a test value.

     Returns a value class containing operations for comparing the size of this mutable map to a test value.

     These operations are implemented in terms of `sizeCompare(Int)`, and allow the following more readable usages:

         this.sizeIs < size     // this.sizeCompare(size) < 0
         this.sizeIs <= size    // this.sizeCompare(size) <= 0
         this.sizeIs == size    // this.sizeCompare(size) == 0
         this.sizeIs != size    // this.sizeCompare(size) != 0
         this.sizeIs >= size    // this.sizeCompare(size) >= 0
         this.sizeIs > size     // this.sizeCompare(size) > 0

     Definition Classes
       IterableOps
     Annotations
       @inline()
132.  def slice(from: Int, until: Int): C

     Selects an interval of elements.

     Selects an interval of elements. The returned mutable map is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the lowest index to include from this mutable map.

     until

       the lowest index to EXCLUDE from this mutable map.

     returns

       a mutable map containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this mutable map.

     Definition Classes
       IterableOps → IterableOnceOps
133.  def sliding(size: Int, step: Int): Iterator[C]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     The returned iterator will be empty when called on an empty collection. The last element the iterator produces may be smaller than the window size when the original collection isn't exhausted by the window before it and its last element isn't skipped by the step before it.

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups

     returns

       An iterator producing mutable maps of size `size`, except the last element (which may be the only element) will be smaller if there are fewer than `size` elements remaining to be grouped.

     Definition Classes
       IterableOps
     Examples:

     1. `List(1, 2, 3, 4, 5).sliding(2, 2) = Iterator(List(1, 2), List(3, 4), List(5))`

     ,

     2. `List(1, 2, 3, 4, 5, 6).sliding(2, 3) = Iterator(List(1, 2), List(4, 5))`

     See also

       scala.collection.Iterator, method `sliding`

134.  def sliding(size: Int): Iterator[C]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.)

     An empty collection returns an empty iterator, and a non-empty collection containing fewer elements than the window size returns an iterator that will produce the original collection as its only element.

     size

       the number of elements per group

     returns

       An iterator producing mutable maps of size `size`, except for a non-empty collection with less than `size` elements, which returns an iterator that produces the source collection itself as its only element.

     Definition Classes
       IterableOps
     Examples:

     1. `List().sliding(2) = empty iterator`

     ,

     2. `List(1).sliding(2) = Iterator(List(1))`

     ,

     3. `List(1, 2).sliding(2) = Iterator(List(1, 2))`

     ,

     4. `List(1, 2, 3).sliding(2) = Iterator(List(1, 2), List(2, 3))`

     See also

       scala.collection.Iterator, method `sliding`

135.  def span(p: ((K, V)) => Boolean): (C, C)

     Splits this mutable map into a prefix/suffix pair according to a predicate.

     Splits this mutable map into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this mutable map whose elements all satisfy `p`, and the rest of this mutable map.

     Definition Classes
       IterableOps → IterableOnceOps
136.  def splitAt(n: Int): (C, C)

     Splits this mutable map into a prefix/suffix pair at a given position.

     Splits this mutable map into a prefix/suffix pair at a given position.

     Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of mutable maps consisting of the first `n` elements of this mutable map, and the other elements.

     Definition Classes
       IterableOps → IterableOnceOps
137.  def stepper[S <: Stepper[_]](implicit shape: StepperShape[(K, V), S]): S

     Returns a scala.collection.Stepper for the elements of this collection.

     Returns a scala.collection.Stepper for the elements of this collection.

     The Stepper enables creating a Java stream to operate on the collection, see scala.jdk.StreamConverters. For collections holding primitive values, the Stepper can be used as an iterator which doesn't box the elements.

     The implicit scala.collection.StepperShape parameter defines the resulting Stepper type according to the element type of this collection.

     - For collections of `Int`, `Short`, `Byte` or `Char`, an scala.collection.IntStepper is returned
     - For collections of `Double` or `Float`, a scala.collection.DoubleStepper is returned
     - For collections of `Long` a scala.collection.LongStepper is returned
     - For any other element type, an scala.collection.AnyStepper is returned

     Note that this method is overridden in subclasses and the return type is refined to `S with EfficientSplit`, for example scala.collection.IndexedSeqOps.stepper. For Steppers marked with scala.collection.Stepper.EfficientSplit, the converters in scala.jdk.StreamConverters allow creating parallel streams, whereas bare Steppers can be converted only to sequential streams.

     Definition Classes
       IterableOnce
138.  def subtractAll(xs: IterableOnce[K]): MapOps.this.type

     Removes all elements produced by an iterator from this mutable map.

     Removes all elements produced by an iterator from this mutable map.

     xs

       the iterator producing the elements to remove.

     returns

       the mutable map itself

     Definition Classes
       Shrinkable
139.  def sum[B >: (K, V)](implicit num: math.Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this mutable map with respect to the `+` operator in `num`.

     Definition Classes
       IterableOnceOps
140.  final def synchronized[T0](arg0: => T0): T0

     Executes the code in `body` with an exclusive lock on `this`.

     Executes the code in `body` with an exclusive lock on `this`.

     returns

       the result of `body`

     Definition Classes
       AnyRef
141.  def tail: C

     The rest of the collection without its first element.

     The rest of the collection without its first element.

     Definition Classes
       IterableOps
142.  def tails: Iterator[C]

     Iterates over the tails of this mutable map.

     Iterates over the tails of this mutable map. The first value will be this mutable map and the final one will be an empty mutable map, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this mutable map

     Definition Classes
       IterableOps
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

143.  def take(n: Int): C

     Selects the first n elements.

     Selects the first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this mutable map.

     returns

       a mutable map consisting only of the first `n` elements of this mutable map, or else the whole mutable map, if it has less than `n` elements. If `n` is negative, returns an empty mutable map.

     Definition Classes
       IterableOps → IterableOnceOps
144.  def takeRight(n: Int): C

     Selects the last n elements.

     Selects the last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this mutable map.

     returns

       a mutable map consisting only of the last `n` elements of this mutable map, or else the whole mutable map, if it has less than `n` elements. If `n` is negative, returns an empty mutable map.

     Definition Classes
       IterableOps
145.  def takeWhile(p: ((K, V)) => Boolean): C

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this mutable map whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableOps → IterableOnceOps
146.  def tapEach[U](f: ((K, V)) => U): C

     Applies a side-effecting function to each element in this collection.

     Applies a side-effecting function to each element in this collection. Strict collections will apply `f` to their elements immediately, while lazy collections like Views and LazyLists will only apply `f` on each element if and when that element is evaluated, and each time that element is evaluated.

     U

       the return type of f

     f

       a function to apply to each element in this mutable map

     returns

       The same logical collection as this

     Definition Classes
       IterableOps → IterableOnceOps
147.  def to[C1](factory: Factory[(K, V), C1]): C1

     Given a collection factory `factory`, convert this collection to the appropriate representation for the current element type `A`.

     Given a collection factory `factory`, convert this collection to the appropriate representation for the current element type `A`. Example uses:

     xs.to(List) xs.to(ArrayBuffer) xs.to(BitSet) // for xs: Iterable[Int]

     Definition Classes
       IterableOnceOps
148.  def toArray[B >: (K, V)](implicit arg0: ClassTag[B]): Array[B]

     Convert collection to array.

     Convert collection to array.

     Implementation note: DO NOT call Array.from from this method.

     Definition Classes
       IterableOnceOps
149.  final def toBuffer[B >: (K, V)]: Buffer[B]
     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
150.  def toIndexedSeq: immutable.IndexedSeq[(K, V)]
     Definition Classes
       IterableOnceOps
151.  def toList: immutable.List[(K, V)]
     Definition Classes
       IterableOnceOps
152.  def toMap[K, V](implicit ev: <:<[(K, V), (K, V)]): immutable.Map[K, V]
     Definition Classes
       IterableOnceOps
153.  def toSeq: immutable.Seq[(K, V)]

     returns

       This collection as a `Seq[A]`. This is equivalent to `to(Seq)` but might be faster.

     Definition Classes
       IterableOnceOps
154.  def toSet[B >: (K, V)]: immutable.Set[B]
     Definition Classes
       IterableOnceOps
155.  def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Function1 → AnyRef → Any
156.  def toVector: immutable.Vector[(K, V)]
     Definition Classes
       IterableOnceOps
157.  def transpose[B](implicit asIterable: ((K, V)) => collection.Iterable[B]): Iterable[Iterable[B]]

     Transposes this mutable map of iterable collections into a mutable map of mutable maps.

     Transposes this mutable map of iterable collections into a mutable map of mutable maps.

     The resulting collection's type will be guided by the static type of mutable map. For example:

         val xs = List(
                    Set(1, 2, 3),
                    Set(4, 5, 6)).transpose
         // xs == List(
         //         List(1, 4),
         //         List(2, 5),
         //         List(3, 6))

         val ys = Vector(
                    List(1, 2, 3),
                    List(4, 5, 6)).transpose
         // ys == Vector(
         //         Vector(1, 4),
         //         Vector(2, 5),
         //         Vector(3, 6))

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     B

       the type of the elements of each iterable collection.

     asIterable

       an implicit conversion which asserts that the element type of this mutable map is an `Iterable`.

     returns

       a two-dimensional mutable map of mutable maps which has as nth row the nth column of this mutable map.

     Definition Classes
       IterableOps
     Exceptions thrown

       `IllegalArgumentException` if all collections in this mutable map are not of the same size.

158.  def unapply(a: K): Option[V]

     Tries to extract a `B` from an `A` in a pattern matching expression.

     Tries to extract a `B` from an `A` in a pattern matching expression.

     Definition Classes
       PartialFunction
159.  def unlift: PartialFunction[K, B]

     Converts an optional function to a partial function.

     Converts an optional function to a partial function.

     Implicit
       This member is added by an implicit conversion from MapOps[K, V, CC, C] toUnliftOps[K, B] performed by method UnliftOps in scala.Function1.This conversion will take place only if V is a subclass of Option[B] (V <: Option[B]).
     Definition Classes
       UnliftOps
     Example:

     1. Unlike Function.unlift, this UnliftOps.unlift method can be used in extractors.

            val of: Int => Option[String] = { i =>
              if (i == 2) {
                Some("matched by an optional function")
              } else {
                None
              }
            }

            util.Random.nextInt(4) match {
              case of.unlift(m) => // Convert an optional function to a pattern
                println(m)
              case _ =>
                println("Not matched")
            }

160.  def unzip[A1, A2](implicit asPair: ((K, V)) => (A1, A2)): (Iterable[A1], Iterable[A2])

     Converts this mutable map of pairs into two collections of the first and second half of each pair.

     Converts this mutable map of pairs into two collections of the first and second half of each pair.

         val xs = `mutable.Map`(
                    (1, "one"),
                    (2, "two"),
                    (3, "three")).unzip
         // xs == (`mutable.Map`(1, 2, 3),
         //        `mutable.Map`(one, two, three))

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this mutable map is a pair.

     returns

       a pair of mutable maps, containing the first, respectively second half of each element pair of this mutable map.

     Definition Classes
       IterableOps
161.  def unzip3[A1, A2, A3](implicit asTriple: ((K, V)) => (A1, A2, A3)): (Iterable[A1], Iterable[A2], Iterable[A3])

     Converts this mutable map of triples into three collections of the first, second, and third element of each triple.

     Converts this mutable map of triples into three collections of the first, second, and third element of each triple.

         val xs = `mutable.Map`(
                    (1, "one", '1'),
                    (2, "two", '2'),
                    (3, "three", '3')).unzip3
         // xs == (`mutable.Map`(1, 2, 3),
         //        `mutable.Map`(one, two, three),
         //        `mutable.Map`(1, 2, 3))

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this mutable map is a triple.

     returns

       a triple of mutable maps, containing the first, second, respectively third member of each element triple of this mutable map.

     Definition Classes
       IterableOps
162.  def update(key: K, value: V): Unit

     Adds a new key/value pair to this map.

     Adds a new key/value pair to this map. If the map already contains a mapping for the key, it will be overridden by the new value.

     key

       The key to update

     value

       The new value

163.  def updateWith(key: K)(remappingFunction: (Option[V]) => Option[V]): Option[V]

     Update a mapping for the specified key and its current optionally-mapped value (`Some` if there is current mapping, `None` if not).

     Update a mapping for the specified key and its current optionally-mapped value (`Some` if there is current mapping, `None` if not).

     If the remapping function returns `Some(v)`, the mapping is updated with the new value `v`. If the remapping function returns `None`, the mapping is removed (or remains absent if initially absent). If the function itself throws an exception, the exception is rethrown, and the current mapping is left unchanged.

     key

       the key value

     remappingFunction

       a partial function that receives current optionally-mapped value and return a new mapping

     returns

       the new value associated with the specified key

164.  def valueStepper[S <: Stepper[_]](implicit shape: StepperShape[V, S]): S

     Returns a Stepper for the values of this map.

     Returns a Stepper for the values of this map. See method stepper.

     Definition Classes
       MapOps
165.  def values: collection.Iterable[V]

     Collects all values of this map in an iterable collection.

     Collects all values of this map in an iterable collection.

     returns

       the values of this map as an iterable.

     Definition Classes
       MapOps
166.  def valuesIterator: Iterator[V]

     Creates an iterator for all values in this map.

     Creates an iterator for all values in this map.

     returns

       an iterator over all values that are associated with some key in this map.

     Definition Classes
       MapOps
167.  def view: MapView[K, V]

     A view over the elements of this collection.

     A view over the elements of this collection.

     Definition Classes
       MapOps → IterableOps
168.  final def wait(): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--.

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--.

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
     Note

       not specified by SLS as a member of AnyRef

169.  final def wait(arg0: Long, arg1: Int): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
     Note

       not specified by SLS as a member of AnyRef

170.  final def wait(arg0: Long): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-.

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-.

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
     Note

       not specified by SLS as a member of AnyRef

171.  def withFilter(p: ((K, V)) => Boolean): WithFilter[(K, V), [_]Iterable[_]]

     Creates a non-strict filter of this mutable map.

     Creates a non-strict filter of this mutable map.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this mutable map which satisfy the predicate `p`.

     Definition Classes
       IterableOps
172.  def zip[B](that: IterableOnce[B]): Iterable[((K, V), B)]

     Returns a mutable map formed from this mutable map and another iterable collection by combining corresponding elements in pairs.

     Returns a mutable map formed from this mutable map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable map containing pairs consisting of corresponding elements of this mutable map and `that`. The length of the returned collection is the minimum of the lengths of this mutable map and `that`.

     Definition Classes
       IterableOps
173.  def zipAll[A1 >: (K, V), B](that: collection.Iterable[B], thisElem: A1, thatElem: B): Iterable[(A1, B)]

     Returns a mutable map formed from this mutable map and another iterable collection by combining corresponding elements in pairs.

     Returns a mutable map formed from this mutable map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this mutable map is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this mutable map.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this mutable map and `that`. The length of the returned collection is the maximum of the lengths of this mutable map and `that`. If this mutable map is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this mutable map, `thatElem` values are used to pad the result.

     Definition Classes
       IterableOps
174.  def zipWithIndex: Iterable[((K, V), Int)]

     Zips this mutable map with its indices.

     Zips this mutable map with its indices.

     returns

       A new mutable map containing pairs consisting of all elements of this mutable map paired with their index. Indices start at `0`.

     Definition Classes
       IterableOps → IterableOnceOps
     Example:

     1. `List("a", "b", "c").zipWithIndex == List(("a", 0), ("b", 1), ("c", 2))`

### Shadowed Implicit Value Members

1.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MapOps[K, V, CC, C] toany2stringadd[MapOps[K, V, CC, C]] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (mapOps: any2stringadd[MapOps[K, V, CC, C]]).+(other)

   Definition Classes
     any2stringadd

### Deprecated Value Members

1.  def +[V1 >: V](elem1: (K, V1), elem2: (K, V1), elems: (K, V1)*): CC[K, V1]
   Definition Classes
     MapOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use ++ with an explicit collection argument instead of + with varargs

2.  def +[V1 >: V](kv: (K, V1)): CC[K, V1]
   Definition Classes
     MapOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Consider requiring an immutable Map or fall back to Map.concat.

3.  def ++:[V1 >: V](that: IterableOnce[(K, V1)]): CC[K, V1]
   Definition Classes
     MapOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use ++ instead of ++: for collections of type Iterable

4.  def ++:[B >: (K, V)](that: IterableOnce[B]): Iterable[B]
   Definition Classes
     IterableOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use ++ instead of ++: for collections of type Iterable

5.  final def +=(elem1: (K, V), elem2: (K, V), elems: (K, V)*): MapOps.this.type

   Adds two or more elements to this mutable map.

   Adds two or more elements to this mutable map.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     the mutable map itself

   Definition Classes
     Growable
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use `++=` aka `addAll` instead of varargs `+=`; infix operations with an operand of multiple args will be deprecated

6.  final def -(key1: K, key2: K, keys: K*): C
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use -- or removeAll on an immutable Map

7.  final def -(key: K): C
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use - or remove on an immutable Map

8.  def --(keys: IterableOnce[K]): C
   Definition Classes
     MapOps
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Consider requiring an immutable Map.

9.  def -=(elem1: K, elem2: K, elems: K*): MapOps.this.type

   Removes two or more elements from this mutable map.

   Removes two or more elements from this mutable map.

   elem1

     the first element to remove.

   elem2

     the second element to remove.

   elems

     the remaining elements to remove.

   returns

     the mutable map itself

   Definition Classes
     Shrinkable
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.3) Use `--=` aka `subtractAll` instead of varargs `-=`; infix operations with an operand of multiple args will be deprecated

10.  def /:[B](z: B)(op: (B, (K, V)) => B): B
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)])./:(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldLeft instead

11.  final def /:[B](z: B)(op: (B, (K, V)) => B): B
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use foldLeft instead of /:

12.  def :\[B](z: B)(op: ((K, V), B) => B): B
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).:\(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldRight instead

13.  final def :\[B](z: B)(op: ((K, V), B) => B): B
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use foldRight instead of :\

14.  def aggregate[B](z: => B)(seqop: (B, (K, V)) => B, combop: (B, B) => B): B
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) `aggregate` is not relevant for sequential collections. Use `foldLeft(z)(seqop)` instead.

15.  def collectFirst[B](f: PartialFunction[(K, V), B]): Option[B]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).collectFirst(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.collectFirst(...) instead

16.  def companion: IterableFactory[[_]Iterable[_]]
    Definition Classes
      IterableOps
    Annotations
      @deprecated @deprecatedOverriding(message = "Use iterableFactory instead", since = "2.13.0") @inline()
    Deprecated

      (Since version 2.13.0) Use iterableFactory instead

17.  def copyToBuffer(dest: Buffer[(K, V)]): Unit
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).copyToBuffer(dest)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.copyToBuffer(...) instead

18.  final def copyToBuffer[B >: (K, V)](dest: Buffer[B]): Unit
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use `dest ++= coll` instead

19.  def count(f: ((K, V)) => Boolean): Int
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).count(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.count(...) instead

20.  def exists(f: ((K, V)) => Boolean): Boolean
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).exists(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.exists(...) instead

21.  def filter(f: ((K, V)) => Boolean): Iterator[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).filter(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.filter(...) instead

22.  def filterKeys(p: (K) => Boolean): MapView[K, V]

    Filters this map by retaining only keys satisfying a predicate.

    Filters this map by retaining only keys satisfying a predicate.

    p

      the predicate used to test keys

    returns

      an immutable map consisting only of those key value pairs of this map where the key satisfies the predicate `p`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      MapOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .view.filterKeys(f). A future version will include a strict version of this method (for now, .view.filterKeys(p).toMap).

23.  def find(p: ((K, V)) => Boolean): Option[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).find(p)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.find instead

24.  def flatMap[B](f: ((K, V)) => IterableOnce[B]): IterableOnce[B]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).flatMap(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.flatMap instead or consider requiring an Iterable

25.  def fold[A1 >: A](z: A1)(op: (A1, A1) => A1): A1
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).fold(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.fold instead

26.  def foldLeft[B](z: B)(op: (B, (K, V)) => B): B
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).foldLeft(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldLeft instead

27.  def foldRight[B](z: B)(op: ((K, V), B) => B): B
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).foldRight(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldRight instead

28.  def forall(f: ((K, V)) => Boolean): Boolean
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).forall(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.forall(...) instead

29.  def foreach[U](f: ((K, V)) => U): Unit
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).foreach(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foreach(...) instead

30.  def hasDefiniteSize: Boolean

    Tests whether this mutable map is known to have a finite size.

    Tests whether this mutable map is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end. Non-empty Iterators usually return `false` even if they were created from a collection with a known finite size.

    Note: many collection methods will not work on collections of infinite sizes. The typical failure mode is an infinite loop. These methods always attempt a traversal without checking first that `hasDefiniteSize` returns `true`. However, checking `hasDefiniteSize` can provide an assurance that size is well-defined and non-termination is not a concern.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Check .knownSize instead of .hasDefiniteSize for more actionable information (see scaladoc for details)

    See also

      method `knownSize` for a more useful alternative

31.  def isEmpty: Boolean
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).isEmpty

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.isEmpty instead

32.  def map[B](f: ((K, V)) => B): IterableOnce[B]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).map(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.map instead or consider requiring an Iterable

33.  def mapValues[W](f: (V) => W): MapView[K, W]

    Transforms this map by applying a function to every retrieved value.

    Transforms this map by applying a function to every retrieved value.

    f

      the function used to transform values of this map.

    returns

      a map view which maps every key of this map to `f(this(key))`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      MapOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .view.mapValues(f). A future version will include a strict version of this method (for now, .view.mapValues(f).toMap).

34.  def max(implicit ord: math.Ordering[(K, V)]): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).max(ord)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.max instead

35.  def maxBy[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).maxBy(f)(cmp)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.maxBy(...) instead

36.  def min(implicit ord: math.Ordering[(K, V)]): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).min(ord)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.min instead

37.  def minBy[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).minBy(f)(cmp)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.minBy(...) instead

38.  def mkString: String
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).mkString

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

39.  def mkString(sep: String): String
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).mkString(sep)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

40.  def mkString(start: String, sep: String, end: String): String
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).mkString(start, sep, end)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

41.  def nonEmpty: Boolean
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).nonEmpty

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.nonEmpty instead

42.  def product(implicit num: math.Numeric[(K, V)]): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).product(num)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.product instead

43.  def reduce(f: ((K, V), (K, V)) => (K, V)): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).reduce(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduce(...) instead

44.  def reduceLeft(f: ((K, V), (K, V)) => (K, V)): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).reduceLeft(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceLeft(...) instead

45.  def reduceLeftOption(f: ((K, V), (K, V)) => (K, V)): Option[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).reduceLeftOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceLeftOption(...) instead

46.  def reduceOption(f: ((K, V), (K, V)) => (K, V)): Option[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).reduceOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceOption(...) instead

47.  def reduceRight(f: ((K, V), (K, V)) => (K, V)): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).reduceRight(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceRight(...) instead

48.  def reduceRightOption(f: ((K, V), (K, V)) => (K, V)): Option[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).reduceRightOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceRightOption(...) instead

49.  final def repr: C
    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use coll instead of repr in a collection implementation, use the collection value itself from the outside

50.  final def retain(p: (K, V) => Boolean): MapOps.this.type
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use filterInPlace instead

51.  def sameElements[B >: A](that: IterableOnce[B]): Boolean
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.sameElements instead

52.  def size: Int
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).size

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.size instead

53.  def sum(implicit num: math.Numeric[(K, V)]): (K, V)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).sum(num)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.sum instead

54.  def to[C1](factory: Factory[(K, V), C1]): C1
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).to(factory)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(factory) instead

55.  def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toArray(arg0)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.toArray

56.  def toBuffer[B >: A]: Buffer[B]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toBuffer

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(ArrayBuffer) instead

57.  def toIndexedSeq: collection.IndexedSeq[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toIndexedSeq

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.toIndexedSeq instead

58.  final def toIterable: collection.Iterable[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toIterable

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Iterable) instead

59.  def toIterator: Iterator[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toIterator

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator instead

60.  final def toIterator: Iterator[(K, V)]
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator instead of .toIterator

61.  def toList: immutable.List[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toList

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(List) instead

62.  def toMap[K, V](implicit ev: <:<[(K, V), (K, V)]): immutable.Map[K, V]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toMap(ev)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Map) instead

63.  def toSeq: immutable.Seq[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toSeq

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Seq) instead

64.  def toSet[B >: A]: immutable.Set[B]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toSet

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Set) instead

65.  def toStream: immutable.Stream[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toStream

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(LazyList) instead

66.  final def toStream: immutable.Stream[(K, V)]
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .to(LazyList) instead of .toStream

67.  final def toTraversable: collection.Traversable[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toTraversable

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Iterable) instead

68.  final def toTraversable: collection.Traversable[(K, V)]

    Converts this mutable map to an unspecified Iterable.

    Converts this mutable map to an unspecified Iterable. Will return the same collection if this instance is already Iterable.

    returns

      An Iterable containing all elements of this mutable map.

    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use toIterable instead

69.  def toVector: immutable.Vector[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).toVector

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Vector) instead

70.  final def transform(f: (K, V) => V): MapOps.this.type
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use mapValuesInPlace instead

71.  def updated[V1 >: V](key: K, value: V1): CC[K, V1]
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use m.clone().addOne((k,v)) instead of m.updated(k, v)

72.  def view(from: Int, until: Int): View[(K, V)]

    A view over a slice of the elements of this collection.

    A view over a slice of the elements of this collection.

    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .view.slice(from, until) instead of .view(from, until)

73.  def withFilter(f: ((K, V)) => Boolean): Iterator[(K, V)]
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (mapOps: IterableOnceExtensionMethods[(K, V)]).withFilter(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.withFilter(...) instead

74.  def →[B](y: B): (MapOps[K, V, CC, C], B)
    Implicit
      This member is added by an implicit conversion from MapOps[K, V, CC, C] toArrowAssoc[MapOps[K, V, CC, C]] performed by method ArrowAssoc in scala.Predef.This conversion will take place only if V is a subclass of Option[Nothing] (V <: Option[Nothing]).
    Definition Classes
      ArrowAssoc
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Shrinkable[K]

### Inherited from Builder[(K, V), C]

### Inherited from Growable[(K, V)]

### Inherited from Clearable

### Inherited from Cloneable[C]

### Inherited from java.lang.Cloneable

### Inherited from collection.MapOps[K, V, CC, C]

### Inherited from PartialFunction[K, V]

### Inherited from (K) => V

### Inherited from IterableOps[(K, V), [_]Iterable[_], C]

### Inherited from IterableOnceOps[(K, V), [_]Iterable[_], C]

### Inherited from IterableOnce[(K, V)]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion UnliftOps fromMapOps[K, V, CC, C] to UnliftOps[K, B]

### Inherited by implicit conversion iterableOnceExtensionMethods fromMapOps[K, V, CC, C] to IterableOnceExtensionMethods[(K, V)]

### Inherited by implicit conversion any2stringadd fromMapOps[K, V, CC, C] to any2stringadd[MapOps[K, V, CC, C]]

### Inherited by implicit conversion StringFormat fromMapOps[K, V, CC, C] to StringFormat[MapOps[K, V, CC, C]]

### Inherited by implicit conversion Ensuring fromMapOps[K, V, CC, C] to Ensuring[MapOps[K, V, CC, C]]

### Inherited by implicit conversion ArrowAssoc fromMapOps[K, V, CC, C] to ArrowAssoc[MapOps[K, V, CC, C]]

### Ungrouped